<h1>
  <a href="https://pytorch.org/live/">
    <img src="./website/static/img/PyTorchLive_Logo.png" />
  </a>
</h1>

<h3>
  Build your AI powered mobile prototypes in minutes:
  <a href="https://pytorch.org/live/docs/tutorials/get-started">Get Started</a>
  <span> · </span>
  <a href="https://pytorch.org/live/docs/tutorials/image-classification">Tutorials</a>
  <span> · </span>
  <a href="https://pytorch.org/live/docs/api/cli">API</a>
</h3>

<p>&nbsp;</p>

[![Deploy Website](https://github.com/pytorch/live/actions/workflows/deploy-website.yml/badge.svg)](https://github.com/pytorch/live/actions/workflows/deploy-website.yml) [![Torchlive CLI](https://github.com/pytorch/live/actions/workflows/build-cli.yml/badge.svg)](https://github.com/pytorch/live/actions/workflows/build-cli.yml) [![Build Android Template App](https://github.com/pytorch/live/actions/workflows/build-template-android.yml/badge.svg)](https://github.com/pytorch/live/actions/workflows/build-template-android.yml) [![Build iOS Template App](https://github.com/pytorch/live/actions/workflows/build-template-ios.yml/badge.svg)](https://github.com/pytorch/live/actions/workflows/build-template-ios.yml)

<p>
  <a href="https://www.npmjs.org/package/react-native-pytorch-core">
    <img src="https://img.shields.io/npm/v/react-native-pytorch-core?label=react-native-pytorch-core" alt="Current React Native PyTorch Core npm package version." />
  </a>
  <a href="https://www.npmjs.org/package/torchlive-cli">
    <img src="https://img.shields.io/npm/v/torchlive-cli?label=torchlive-cli" alt="Current PyTorch Live CLI npm package version." />
  </a>
  <a href="https://www.npmjs.org/package/react-native-template-pytorch-live">
    <img src="https://img.shields.io/npm/v/react-native-template-pytorch-live?label=react-native-template-pytorch-live" alt="Current React Native PyTorch Live template npm package version." />
  </a>
</p>

<p>
  <a href="https://github.com/pytorch/live/blob/main/LICENSE">
    <img src="https://img.shields.io/badge/license-MIT-blue.svg" alt="PyTorch Live is released under the MIT license." />
  </a>
</p>

----------------------

[PyTorch Live](https://pytorch.org/live/) is a set of tools to build AI-powered experiences for mobile.

This monorepo includes the PyTorch Live command line interface (i.e., `torchlive-cli`), a React Native package to run on-device inference with PyTorch Mobile, and a React Native template with examples ready to be deployed on mobile devices.

## Contents
- [Requirements](#-requirements)
- [Building your first PyTorch Live app](#-building-your-first-pytorch-live-app)
- [How to Contribute](#-how-to-contribute)
- [Code of Conduct](#code-of-conduct)
- [License](#-license)

## 📋 Requirements
PyTorch Live apps may target Android 10.0 (API 21) and iOS 12.0 or newer. You may use Windows, macOS, or Linux as your development operating system, though building and running the PyTorch Live CLI is limited to macOS.

## 🎉 Building your first PyTorch Live app
Follow the [Getting Started guide](https://pytorch.org/live/docs/tutorials/get-started). PyTorch Live offers a CLI with convenient commands to install development dependencies and initialize new projects. We also have a few tutorials for you to keep going after getting started:

* [Image Classification](https://pytorch.org/live/docs/tutorials/image-classification)
* [Question Answering](https://pytorch.org/live/docs/tutorials/question-answering)
* [Prepare Custom Model](https://pytorch.org/live/docs/tutorials/prepare-custom-model)

## 📖 Documentation

The full documentation for PyTorch Live can be found on our [website](https://pytorch.org/live/).

## 👏 How to Contribute
The main purpose of this repository is to continue evolving PyTorch Live. We want to make contributing to this project as easy and transparent as possible, and we are grateful to the community for contributing bug fixes and improvements. Read below to learn how you can take part in improving PyTorch Live.

### [Code of Conduct][code]
Facebook has adopted a Code of Conduct that we expect project participants to adhere to.
Please read the [full text][code] so that you can understand what actions will and will not be tolerated.

[code]: https://code.fb.com/codeofconduct/

### [Contributing Guide][contribute]
Read our [**Contributing Guide**][contribute] to learn about our development process, how to propose bugfixes and improvements, and how to build and test your changes to PyTorch Live.

[contribute]: CONTRIBUTING.md

## License
PyTorch Live is MIT licensed, as found in the [LICENSE][license] file.

[license]: LICENSE.md
